#!/usr/local/bin/wish8.3

set hitP 0
foreach so [list ../.libs/libtkTheme.so  .libs/libtkTheme.so] {
    if {[file exists $so]} {
	load $so
	set hitP 1
	break
    }
}
if {!$hitP} {
    package require tkTheme
}

proc displayMsg {msg} {
	tk_messageBox -icon info -message $msg
}

wm withdraw .

theme:frame .f -kdesystray
foreach gif [list ./wish.gif demo/wish.gif] {
    if {![catch { image create photo -file $gif } wishImg]} {
	break
    }
}

pack [menubutton .f.b -bd 0 -image $wishImg -direction above -highlightthickness 0 \
	-padx 0 -pady 0 -menu .f.b.menu]
set m [menu .f.b.menu -tearoff 0]
$m add command -label Hello  -command {displayMsg Hello}
$m add command -label "Tcl/Tk Rocks!" -command {displayMsg "Didn't you know?"}
$m add command -label "X is fun!" -command {displayMsg {Look at me mom -- I'm on a network.}}
$m add command -label "more generalizations..." -command {displayMsg nil}
